$(document).ready(function() {
	loginStatus(); //判断个人是否登录
	var userid = $.cookie("userid");
	var paperId = GetQueryString("paperId");

	ifcollectionAbout(paperId, 5)
	getPaperMe();
	pageViewsVal();
	
	
	//点击收藏按钮
	$("#collectBtn").on('click', function() {
		if(userid && userid != null && userid != "null") {
			if($(this).is('.icon-collected')){
				cancelCollectionAbout(paperId, 5)
			} else {
				collectionAbout(paperId, 5);
			}
		}else{
			$.MsgBox.Alert("提示", "请先登录再进行收藏");
			$("#mb_btn_ok").val("去登录");
			var aele = document.createElement('a');
			$("#mb_btnbox").append(aele);
			$("#mb_btnbox a").css({
				'display': "block",
				'width': '100%',
				'height': '40px',
				'position': 'absolute',
				'bottom': '-6px',
				'left': '0'
			});
			aele.setAttribute('href', '../login.html');
		}
	});
	
	//关键词标签点击进去搜索
	$(".tagList").on("click","li",function(){
		var tagText = $(this).find("p").text();
		location.href = "searchNew.html?searchContent=" + tagText + "&tagflag=6";
	})
	
	//点击进入个人详情页面
	$("#aboutAuthors").on("click","li:not('.lastBtn')",function(){
		var oDataId = $(this).attr("data-id");
		if(oDataId.substring(0,1)!="#"){
			location.href="userInforShow.html?professorId="+oDataId;
		}else{
			location.href="javascrip:;";
		}
	})
	$("#aboutAuthors").on("click","li.lastBtn",function(){
		$("#aboutAuthors").addClass('removeHe');
		$(this).hide();
	})
	
	
	
	/*获取论文信息*/
	function getPaperMe() {
		$.ajax({
			"url": "/ajax/ppaper/qo",
			"type": "GET",
			"success": function(data) {
				console.log(data);
				if(data.success) {
					paperHtml(data.data);
					getPaperAuthors(data.data.id)
					var paperName = data.data.name + "-科袖网";
					document.title = paperName;
				}
			},
			"data": {
				"id": paperId
			},
			dataType: "json",
			'error': function() {
				$.MsgBox.Alert('提示', '服务器连接超时！');
			}
		});
	}
	/*获取论文作者信息*/
	function getPaperAuthors(stritrm) {
		$.ajax({
			"url": "/ajax/ppaper/authors",
			"type": "GET",
			"success": function(data) {
				console.log(data);
				if(data.success) {
					if(data.data.length>0){
						$("#aboutAuthors .lastBtn span").text(data.data.length);
						for(var i=0;i<data.data.length;i++){
							var authTy="",authTit="",baseInfo="",ifPoint="",imgbg="../images/default-photo.jpg";
							if(data.data[i].professorId.substring(0, 1) != "#"){
								$.ajax({
									type:"get",
									url:"/ajax/professor/editBaseInfo/" + data.data[i].professorId,
									async:true,
									success:function($proData){
										console.log($proData)
										if($proData.success){
											var showPro = $proData.data;
											if(showPro.hasHeadImage == 1) {
												imgbg = "/images/head/" + showPro.id + "_l.jpg";
											} else {
												imgbg = "../images/default-photo.jpg";
											}
											ifPoint = "pointThis";
											//认证
											var oSty = autho(showPro.authType,showPro.orgAuth,showPro.authStatus);
											authTy = oSty.sty;
											authTit = oSty.title;
											
											var title = showPro.title || "";
											var orgName = showPro.orgName || "";
											var office = showPro.office || "";
											if(orgName!=""){
												if(title != "") {
													baseInfo = title + "，" + orgName;
												}else{
													if(office!=""){
														baseInfo = office  + "，" + orgName;	
													}else{
														baseInfo = orgName;	
													}
												}
											}else{
												if(title != "") {
													baseInfo = title;
												}else{
													if(office!=""){
														baseInfo = office;	
													}else{
														baseInfo = "";	
													}
												}
											}
											var str="";
											str +='<li class="flexCenter '+ ifPoint +'" data-id="'+ showPro.id +'">'
											str +='<div class="madiaHead useHead" style="background-image:url('+ imgbg +')"></div>'
											str +='<div class="madiaInfo">'
											str +='<p class="ellipsisSty"><span class="h1Font">'+ showPro.name +'</span><em class="authiconNew '+ authTy +'" title="'+ authTit +'"></em></p>'
											str +='<p class="h2Font ellipsisSty">'+ baseInfo +'</p>'
											str +='</div></li>';
											var $str=$(str);
											$("#aboutAuthors .lastBtn").before($str);
										}
									}
								})
							}else{
								var str="";
								str +='<li class="flexCenter" data-id="'+ data.data[i].professorId +'">'
								str +='<div class="madiaHead useHead" style="background-image:url('+ imgbg +')"></div>'
								str +='<div class="madiaInfo">'
								str +='<p class="ellipsisSty"><span class="h1Font">'+ data.data[i].name +'</span></p>'
								str +='</div></li>';
								var $str=$(str);
								$("#aboutAuthors .lastBtn").before($str);
							}
							
							if(data.data.length<4){
								$("#aboutAuthors").addClass('removeHe');
								$(".lastBtn").hide();
							}
						}
					}
				}
			},
			"data": {
				"id": stritrm
			},
			dataType: "json",
			'error': function() {
				$.MsgBox.Alert('提示', '服务器连接超时！');
			}
		});
	}
	/*处理论文html代码*/
	function paperHtml($da) {
		$("#paperName").text($da.name); //名字
		$("#pageView").text($da.pageViews); //浏览量
		$("#paperAbstract").text($da.summary); //摘要内容
		if(!$da.cn4periodical){
			$da.cn4periodical=""
		}
		if(!$da.en4periodical){
			$da.en4periodical=""
		}
		if(!$da.cn4periodical && !$da.en4periodical){
			$("#paperJournal").parents("li").hide();
		}else{
			$("#paperJournal").text($da.cn4periodical + $da.en4periodical);
		}

		if(!$da.pubDay){
			$("#paperVolume").parents("li").hide();
		}else{
			$("#paperVolume").text($da.pubDay);
		}
		if($da.keywords != undefined && $da.keywords.length != 0 ){
			var subs = new Array();
			if($da.keywords.indexOf(',')){
				subs = $da.keywords.split(',');
			}else{
				subs[0] = $da.keywords;
			}
			if(subs.length>0){
				for (var i = 0; i < subs.length; i++) 
				{
					$(".tagList").append('<li><p class="h2Font">'+ subs[i] +'</p></li>');
				};
			}else{
				$(".tagList").hide();
			}
		}		
		var weibopic = "http://" + window.location.host + "/images/default-paper.jpg"
		var weibotitle = $da.name;
		var weibourl = window.location.href;
		$("#weibo").attr("href","http://service.weibo.com/share/share.php?appkey=3677230589&title="+encodeURIComponent(weibotitle)+"&url="+encodeURIComponent(weibourl)+"&pic="+encodeURIComponent(weibopic)+"&content=utf-8"+"&ralateUid=6242830109&searchPic=false&style=simple");
	}
	//浏览量
	function pageViewsVal() {
		$.ajax({
			"url": "/ajax/ppaper/incPageViews",
			"type": "POST",
			"dataType": "json",
			"data": {
				"id": paperId
			},
			"success": function(data) {
				console.log(data);
				if(data.success) {}
			},
			"error": function() {
				$.MsgBox.Alert('提示', '链接服务器超时')
			}
		});
	}
})